﻿using System.Windows;

namespace BlobStore
{
    public partial class App : Application
    {
        public App()
        {
            Startup += Application_Startup;
            UnhandledException += Application_UnhandledException;

            InitializeComponent();
        }

        private void Application_Startup(object sender, StartupEventArgs e)
        {
            RootVisual = new MainPage();
        }

        private void Application_UnhandledException(object sender, ApplicationUnhandledExceptionEventArgs e)
        {
            // Invoke page-specific unhandled exception behavior
            Deployment.Current.Dispatcher.BeginInvoke(() => ((MainPage)RootVisual).DisplayException(e.ExceptionObject));
            e.Handled = true;
        }
    }
}
