﻿// Copyright (C) Microsoft Corporation. All Rights Reserved.
// This code released under the terms of the Microsoft Public License
// (Ms-PL, http://opensource.org/licenses/ms-pl.html).

using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using BlobStoreApi;

namespace BlobStore
{
    public partial class Blob : UserControl
    {
        public event EventHandler DeleteClicked;
        public event EventHandler RightClicked;

        public Blob()
        {
            InitializeComponent();
            MouseRightButtonDown += new MouseButtonEventHandler(Blob_MouseRightButtonDown);
        }

        public BlobInfo BlobInfo
        {
            get { return (BlobInfo)DataContext; }
        }

        private void Delete_Click(object sender, RoutedEventArgs e)
        {
            var handler = DeleteClicked;
            if (null != handler)
            {
                handler.Invoke(this, EventArgs.Empty);
            }
        }

        private void Blob_MouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
            e.Handled = true;
            var handler = RightClicked;
            if (null != handler)
            {
                handler.Invoke(this, EventArgs.Empty);
            }
        }
    }

#if DEBUG
    public class DesignTimeBlobInfo : BlobInfo
    {
        public DesignTimeBlobInfo()
            : base("Sample file name.txt", new Uri("http://blob.example.com/file.txt"))
        {
        }
    }
#endif
}
